Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The OpenJPEG library is an open-source JPEG 2000 codec
Name:		openjpeg
Version:	1.3
Release:	2
License:	GNU/GPL 
URL:		http://www.openjpeg.org
Group:		System/Libraries
Source0:	%{name}_v1_3.tar.gz
Patch0:		openjpeg-ccux.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel

%description
The OpenJPEG library is an open-source JPEG 2000 codec written in C
language. It has been developed in order to promote the use of JPEG
2000, the new still-image compression standard from the Joint
Photographic Experts Group (JPEG).

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n OpenJPEG_v1_3
%patch0 -p1

%build
make
make -C codec

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -s libopenjpeg.so.2 $RPM_BUILD_ROOT%_libdir/libopenjpeg.so
mkdir -p $RPM_BUILD_ROOT%_bindir
install -m 755 codec/image_to_j2k $RPM_BUILD_ROOT%_bindir/image_to_j2k
install -m 755 codec/j2k_to_image $RPM_BUILD_ROOT%_bindir/j2k_to_image

%files
%defattr(-,root,root)
%_libdir/libopenjpeg-*.so
%_libdir/libopenjpeg.so.*
%_bindir/image_to_j2k
%_bindir/j2k_to_image

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/libopenjpeg.so
%_includedir/openjpeg.h

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3-2
- rebuilt
* Fri Oct 10 2008 Christian Wasem <wasem@ccux-linux.de> 1.3-1
- Version update
* Sat Aug 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.2-1
- Initial Release
